Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.describeplatform
Class PlatformDescriptionDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.sos.ComponentDescriptionDocument
                  org.deegree.ogcwebservices.sos.describeplatform.PlatformDescriptionDocument

All Implemented Interfaces:
  Serializable

    public class PlatformDescriptionDocument

extends ComponentDescriptionDocument

gets the platform metadata from a xsl transformed wfs result

Author:
  Matthias Kulbe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`PlatformDescriptionDocument()`

Method Summary
`void` | `createEmptyDocument()` creates an document from a template file
`PlatformMetadata[]` | `getPlatform(SOSDeegreeParams deegreeParams, String[] typNames)` gets the platform descriptions from a wfs and transform it with a xslt script

Methods inherited from class org.deegree.ogcwebservices.sos.ComponentDescriptionDocument
`getAddress, getAttachedTo, getClassifiedAs, getContactInfo, getCoordinateReferenceSystemCRS, getDerivedFrom, getDescribedBy, getDiscussion, getEngineeringCRS, getHasCRS, getIdentifiedAs, getLocatedUsing, getOnlineResource, getPhone, getQuantity, getReference, getResponsibleParty, getTypedQuantity, getUsesParametersFromGeoLocation, getUsesParametersFromResponseModel`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformDescriptionDocument

    public PlatformDescriptionDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  creates an document from a template file

  Specified by:
    `createEmptyDocument` in class `ComponentDescriptionDocument`
  Throws:
    `IOException`
    `SAXException`

### getPlatform

    public PlatformMetadata[] getPlatform(SOSDeegreeParams deegreeParams,
                                          String[] typNames)
                                   throws OGCWebServiceException

  gets the platform descriptions from a wfs and transform it with a xslt script

  Parameters:
    `deegreeParams` -
    `typNames` -
  Returns:
    the metadata
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org